Limerence
Share

Create Session Comment

Create a comment on a message in a chat session (for shared users)

POST
/sessions/{chatId}/comments

Create a comment on a message in a chat session (for shared users)

Authorization

X-API-Key<token>

Use X-API-Key: .

In: header

Path Parameters

chatId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/sessions/string/comments" \  -H "Content-Type: application/json" \  -d '{    "content": "string",    "messageId": "string"  }'
{  "chatSessionId": "string",  "content": "string",  "createdAt": "string",  "id": "string",  "messageId": "string",  "updatedAt": "string"}
{  "cause": {    "code": "api/invalid-json",    "detail": "string"  },  "message": "The request body is not valid JSON"}
{  "cause": {    "code": "sessions/not-found",    "detail": "Chat session not found."  },  "message": "Session not found"}
{  "cause": {    "code": "api/unsupported-media-type",    "detail": "GET requests cannot have a content type header"  },  "message": "Unsupported Media Type"}